%define _altdata_dir %_datadir/alterator

Name: alterator-postfix-restrictions
Version: 0.5
Release: alt0.M41.5

Packager: Grigory Batalov <bga@altlinux.ru>

BuildArch: noarch

Source:%name-%version.tar

Summary: alterator module for Postfix
License: GPL
Group: System/Configuration/Other

Requires: alterator >= 3.9-alt8.M41.3
Requires: alterator-sh-functions >= 0.8-alt0.M41.1
Requires: postfix
Requires: alterator-services
Conflicts: alterator-fbi < 2.11-alt0.M41.2

BuildPreReq: alterator >= 3.9-alt8.M41.3
BuildPreReq: alterator-fbi >= 2.11-alt0.M41.2
BuildPreReq: alterator-l10n >= 0.16-alt3.M41.9

Provides: alterator-postfix-sasl = %version
Obsoletes: alterator-postfix-sasl

# Automatically added by buildreq on Mon Jul 11 2005 (-bi)
BuildRequires: alterator

%description
alterator module for Postfix

%prep
%setup -q

%build
%make_build

%install
%makeinstall

%find_lang %name

%files -f %name.lang
%_alterator_backend3dir/*
%_datadir/alterator/applications/*
%_datadir/alterator/help/*/*
%_datadir/alterator/templates/*
%_datadir/alterator/interfaces/*/*/*

%changelog
* Wed Jan 28 2009 Vladislav Zavjalov <slazav@altlinux.org> 0.5-alt0.M41.5
- rebuild with new alterator-l10n

* Tue Dec 09 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.5-alt0.M41.4
- rebuild with new alterator-l10n (fix help)

* Fri Dec 05 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.5-alt0.M41.3
- rebuild with new alterator-l10n

* Fri Nov 07 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.5-alt0.M41.2
- fix label, rebuild with new alterator-l10n

* Sat Nov 01 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.5-alt0.M41.1
- build for 4.1: type -> constraints

* Thu Oct 09 2008 Stanislav Ievlev <inger@altlinux.org> 0.5-alt1
- merge with alterator-postfix-sasl

* Wed Oct 08 2008 Stanislav Ievlev <inger@altlinux.org> 0.3-alt1
- rewrite backend and UI
- join to common translation database

* Mon Aug 11 2008 Stanislav Ievlev <inger@altlinux.org> 0.2-alt1
- update html templates:
   * replace template-* backend with modern schema
   * remove <h1> and <title>
   * move design to /usr/share/alterator/design
- update build system:
   * use global support for awk based backends
   * use module.awk

* Tue Jun 17 2008 Grigory Batalov <bga@altlinux.ru> 0.1-alt10
- Require alterator-services instead of alterator-chkconfig.

* Fri Jun 06 2008 Grigory Batalov <bga@altlinux.ru> 0.1-alt9
- Rebuild for Sisyphus.

* Fri May 30 2008 Grigory Batalov <bga@altlinux.ru> 0.1-alt8.M41.1
- Russian help page.
- Change help paths to the new style.
- Service restart link update.

* Thu Dec 13 2007 Grigory Batalov <bga@altlinux.ru> 0.1-alt8
- Change title.
- Use dash in "IP address" translation.

* Thu Sep 13 2007 Grigory Batalov <bga@altlinux.ru> 0.1-alt7
- Specify mailbox size in megabytes.

* Mon Aug 27 2007 Grigory Batalov <bga@altlinux.ru> 0.1-alt6
- Fix relative links for sender and client (IP) table.

* Mon Aug 06 2007 Grigory Batalov <bga@altlinux.ru> 0.1-alt5
- Switch to new menu system.

* Tue May 29 2007 Grigory Batalov <bga@altlinux.ru> 0.1-alt4
- Add relayhost parameter.
- Overwrite title with "Postfix settings".

* Tue May 29 2007 Grigory Batalov <bga@altlinux.ru> 0.1-alt3
- Accept an empty RBL domain list.
- Fix recipient_access handling.

* Fri May 25 2007 Grigory Batalov <bga@altlinux.ru> 0.1-alt2
- Use accepted languages list and select first of them.

* Mon May 07 2007 Grigory Batalov <bga@altlinux.ru> 0.1-alt1
- Initial release
